<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../../stylesheet.css">
<link rel="start" href="../../overview-summary.html">

<title>TestZeroValue (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../../phpdoctor/tests/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../phpdoctor/tests/package-tree.html">Tree</a></li>
<li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../phpdoctor/tests/testzerovalue.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\Tests\TestZeroValue</div>
<a href="../../source/tests/cases/zerovalue.php.html#line6" class="location">tests/cases/zerovalue.php at line 6</a>

<h1>Class TestZeroValue</h1>

<pre class="tree">UnitTestCase<br> └─<a href="../../phpdoctor/tests/doctortestcase.html">DoctorTestCase</a><br>       └─<strong>TestZeroValue</strong><br /></pre>

<hr>

<p class="signature">public  class <strong>TestZeroValue</strong><br>extends <a href="../../phpdoctor/tests/doctortestcase.html">DoctorTestCase</a>

</p>

<div class="comment" id="overview_description"><p></p></div>

<hr>

<table id="summary_field">
<tr><th colspan="2">Field Summary</th></tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#output">$output</a></p></td>
</tr>
</table>

<table class="inherit">
<tr><th colspan="2">Fields inherited from PHPDoctor\Tests\DoctorTestCase</th></tr>
<tr><td><a href="../../phpdoctor/tests/doctortestcase.html#appDir">appDir</a>, <a href="../../phpdoctor/tests/doctortestcase.html#caseDir">caseDir</a>, <a href="../../phpdoctor/tests/doctortestcase.html#iniDir">iniDir</a>, <a href="../../phpdoctor/tests/doctortestcase.html#iniPath">iniPath</a>, <a href="../../phpdoctor/tests/doctortestcase.html#outputDir">outputDir</a>, <a href="../../phpdoctor/tests/doctortestcase.html#tempDir">tempDir</a>, <a href="../../phpdoctor/tests/doctortestcase.html#testDir">testDir</a></td></tr></table>

<table id="summary_method">
<tr><th colspan="2">Method Summary</th></tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#__construct()">__construct</a>()</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#testConstEmptyString()">testConstEmptyString</a>()</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#testConstIntOne()">testConstIntOne</a>()</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#testConstIntZero()">testConstIntZero</a>()</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#testConstNonEmptyString()">testConstNonEmptyString</a>()</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#testConstNull()">testConstNull</a>()</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#testPropEmptyString()">testPropEmptyString</a>()</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#testPropIntOne()">testPropIntOne</a>()</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#testPropIntZero()">testPropIntZero</a>()</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#testPropNonEmptyString()">testPropNonEmptyString</a>()</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#testPropNull()">testPropNull</a>()</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#testPropUndefined()">testPropUndefined</a>()</p></td>
</tr>
</table>

<table class="inherit">
<tr><th colspan="2">Methods inherited from PHPDoctor\Tests\DoctorTestCase</th></tr>
<tr><td><a href="../../phpdoctor/tests/doctortestcase.html#__construct()">__construct</a>, <a href="../../phpdoctor/tests/doctortestcase.html#assertStringContains()">assertStringContains</a>, <a href="../../phpdoctor/tests/doctortestcase.html#assertStringContainsRx()">assertStringContainsRx</a>, <a href="../../phpdoctor/tests/doctortestcase.html#assertStringDoesNotContain()">assertStringDoesNotContain</a>, <a href="../../phpdoctor/tests/doctortestcase.html#assertStringDoesNotContainRx()">assertStringDoesNotContainRx</a>, <a href="../../phpdoctor/tests/doctortestcase.html#clearOutputDir()">clearOutputDir</a>, <a href="../../phpdoctor/tests/doctortestcase.html#clearTempDir()">clearTempDir</a>, <a href="../../phpdoctor/tests/doctortestcase.html#inStr()">inStr</a>, <a href="../../phpdoctor/tests/doctortestcase.html#inStrRx()">inStrRx</a>, <a href="../../phpdoctor/tests/doctortestcase.html#readOutputFile()">readOutputFile</a>, <a href="../../phpdoctor/tests/doctortestcase.html#removeDir()">removeDir</a>, <a href="../../phpdoctor/tests/doctortestcase.html#runPhpDoctor()">runPhpDoctor</a>, <a href="../../phpdoctor/tests/doctortestcase.html#setIniFile()">setIniFile</a></td></tr></table>

<h2 id="detail_field">Field Detail</h2>
<a href="../../source/tests/cases/zerovalue.php.html#line9" class="location">tests/cases/zerovalue.php at line 9</a>

<h3 id="output">output</h3>
<code class="signature">public  mixed <strong>$output</strong></code>
<div class="details">
</div>

<hr>

<h2 id="detail_method">Method Detail</h2>
<a href="../../source/tests/cases/zerovalue.php.html#line11" class="location">tests/cases/zerovalue.php at line 11</a>

<h3 id="__construct()">__construct</h3>
<code class="signature">public  void <strong>__construct</strong>()</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/cases/zerovalue.php.html#line37" class="location">tests/cases/zerovalue.php at line 37</a>

<h3 id="testConstEmptyString()">testConstEmptyString</h3>
<code class="signature">public  void <strong>testConstEmptyString</strong>()</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/cases/zerovalue.php.html#line31" class="location">tests/cases/zerovalue.php at line 31</a>

<h3 id="testConstIntOne()">testConstIntOne</h3>
<code class="signature">public  void <strong>testConstIntOne</strong>()</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/cases/zerovalue.php.html#line22" class="location">tests/cases/zerovalue.php at line 22</a>

<h3 id="testConstIntZero()">testConstIntZero</h3>
<code class="signature">public  void <strong>testConstIntZero</strong>()</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/cases/zerovalue.php.html#line43" class="location">tests/cases/zerovalue.php at line 43</a>

<h3 id="testConstNonEmptyString()">testConstNonEmptyString</h3>
<code class="signature">public  void <strong>testConstNonEmptyString</strong>()</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/cases/zerovalue.php.html#line49" class="location">tests/cases/zerovalue.php at line 49</a>

<h3 id="testConstNull()">testConstNull</h3>
<code class="signature">public  void <strong>testConstNull</strong>()</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/cases/zerovalue.php.html#line70" class="location">tests/cases/zerovalue.php at line 70</a>

<h3 id="testPropEmptyString()">testPropEmptyString</h3>
<code class="signature">public  void <strong>testPropEmptyString</strong>()</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/cases/zerovalue.php.html#line64" class="location">tests/cases/zerovalue.php at line 64</a>

<h3 id="testPropIntOne()">testPropIntOne</h3>
<code class="signature">public  void <strong>testPropIntOne</strong>()</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/cases/zerovalue.php.html#line55" class="location">tests/cases/zerovalue.php at line 55</a>

<h3 id="testPropIntZero()">testPropIntZero</h3>
<code class="signature">public  void <strong>testPropIntZero</strong>()</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/cases/zerovalue.php.html#line76" class="location">tests/cases/zerovalue.php at line 76</a>

<h3 id="testPropNonEmptyString()">testPropNonEmptyString</h3>
<code class="signature">public  void <strong>testPropNonEmptyString</strong>()</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/cases/zerovalue.php.html#line82" class="location">tests/cases/zerovalue.php at line 82</a>

<h3 id="testPropNull()">testPropNull</h3>
<code class="signature">public  void <strong>testPropNull</strong>()</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/cases/zerovalue.php.html#line88" class="location">tests/cases/zerovalue.php at line 88</a>

<h3 id="testPropUndefined()">testPropUndefined</h3>
<code class="signature">public  void <strong>testPropUndefined</strong>()</code>
<div class="details">
</div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../../phpdoctor/tests/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../phpdoctor/tests/package-tree.html">Tree</a></li>
<li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../phpdoctor/tests/testzerovalue.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>